[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

rpm cpio error: prelink and SBCL



I'm trying to package up a Common Lisp application that is built with
SBCL.  Near the end of the rpmbuild run, I see this right before the
list of Provides:

prelink: /home/jamesjer/rpmbuild/BUILDROOT/pvs-sbcl-4.2-2.svn20091008.fc12.x86_64/usr/lib64/pvs/bin/ix86_64-Linux/runtime/pvs-sbclisp:
Section .gnu.version created after prelinking

The rpmbuild run appears to complete successfully.  However, when I
try to rpm -i the resulting rpm, I get this:

# rpm -i pvs-sbcl-4.2-2.svn20091008.fc12.x86_64.rpm
error: unpacking of archive failed on file
/usr/lib64/pvs/bin/ix86_64-Linux/runtime/pvs-sbclisp;4b2a52f1: cpio:
Digest mismatch
# rpm -K pvs-sbcl-4.2-2.svn20091008.fc12.x86_64.rpm
pvs-sbcl-4.2-2.svn20091008.fc12.x86_64.rpm: sha1 md5 OK

Is that due to prelink?  If so, what is broken?  SBCL, because it
isn't putting a .gnu.version section in the executable images it
creates?  Prelink, because it somehow manages to break the rpm?  Both?
 And how do I build an RPM that can be installed successfully?

Thanks,
-- 
Jerry James
http://www.jamezone.org/


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]